Bug 169635 - Big regression on startup with opened Embedded Browser
Big regression on startup with opened Embedded Browser
Status: STARTED
Product: obsolete
Classification: Unclassified
Component: Embedded Mozilla
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@obsolete
MOZILLA
: PERFORMANCE, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-31 11:15 UTC by Marian Mirilovic
Modified: 2012-05-24 12:34 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
log for start with EB opened (165.31 KB, text/plain)
2009-07-31 11:25 UTC, Marian Mirilovic
Details
log for start with EB closed (164.91 KB, text/plain)
2009-07-31 11:27 UTC, Marian Mirilovic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2009-07-31 11:16:02 UTC
Tried build NB Dev (20090731), JDK6u15 32b, Ubuntu 9.04 64b (Core2Duo 2.5GHz 4GB)

Steps to reproduce:
- run IDE (for logging use -J-Dorg.netbeans.log.startup=log)
- install EB & set EB as Web Browser
- open some web project
- deploy index.html
- run index.html (stays opened in Web Browser)
for 1 :
-> restart IDE - restart took ~25s (Window system loaded dT=17049)
for 2:
- close Web Browser
-> restart IDE - restart took ~11s (Window system loaded dT=860)

->>>>>>>>>>>>>> for 1 - important part of the log :-------------------
@4150 - Main.main finished dT=2
INFO [org.mozilla.browser.MozillaInitialization]: Using xul runner dir:
/local/userdirs/Userdir_mustang_32b_withoutgtk/modules/lib/native/linux/xulrunner
@21199 - Window system loaded dT=17049
@21200 - java.lang.ClassNotFoundException: org.netbeans.performance.test.guitracker.LoggingRepaintManager starting from
ModuleCL@ab444[org.netbeans.core] with possible defining loaders null and declared parents
[ModuleCL@10ab09f[org.openide.loaders], ModuleCL@1b0bdc8[org.openide.explorer], ModuleCL@bd6a5f[org.openide.awt],
ModuleCL@7eb366[org.openide.io], ModuleCL@33f0de[org.netbeans.swing.plaf], ModuleCL@29ce8c[org.openide.windows],
org.netbeans.MainImpl$BootClassLoader@17a8913, ModuleCL@979e8b[org.openide.nodes],
ModuleCL@16614e7[org.jdesktop.layout], ModuleCL@7bc899[org.openide.actions], ...1 more] dT=1
WARNING [org.netbeans.core.TimableEventQueue]: too much time in AWT thread null
@21651 - Window system shown dT=451


->>>>>>>>>>>>>> for 2 - important part of the log :-------------------
@3963 - Main.main finished dT=1
@4823 - Window system loaded dT=860
@4824 - java.lang.ClassNotFoundException: org.netbeans.performance.test.guitracker.LoggingRepaintManager starting from
ModuleCL@1fdadcd[org.netbeans.core] with possible defining loaders null and declared parents
[ModuleCL@1cef4f7[org.openide.io], ModuleCL@e49dcd[org.openide.awt], ModuleCL@349471[org.netbeans.swing.plaf],
org.netbeans.MainImpl$BootClassLoader@1bd747e, ModuleCL@10b9279[org.openide.nodes],
ModuleCL@bd6a5f[org.openide.windows], ModuleCL@13c0b53[org.openide.dialogs], ModuleCL@107f45d[org.jdesktop.layout],
ModuleCL@29ce8c[org.openide.actions], ModuleCL@1094d48[org.openide.loaders], ...1 more] dT=1
@5367 - Window system shown dT=543
Comment 1 Marian Mirilovic 2009-07-31 11:25:44 UTC
Created attachment 85608 [details]
log for start with EB opened
Comment 2 Marian Mirilovic 2009-07-31 11:27:19 UTC
Created attachment 85609 [details]
log for start with EB closed
Comment 3 Antonin Nebuzelsky 2009-07-31 13:13:48 UTC
-> P2, TM=6.8
Comment 4 Stanislav Aubrecht 2009-07-31 14:19:07 UTC
does the info above mean there's no regression when browser window is closed at shutdown?
if so then i can postpone browser initialization until the browser window is activated
Comment 5 Marian Mirilovic 2009-07-31 14:27:47 UTC
P1 - >100% perf. regression on startup ... 
Standa, would be really nice to have this fixed for M1 if possible (clone will be done tomorrow later in the evening)

> does the info above mean there's no regression when browser window is closed at shutdown?
definitely
Comment 6 Stanislav Aubrecht 2009-07-31 16:27:39 UTC
hotfix: core-main fb752d78e631
please revert if there are any unwanted side-effects

leaving opened as P3 until a proper fix is available after 6.8 M1 release
Comment 7 Quality Engineering 2009-08-01 06:35:00 UTC
Integrated into 'main-golden', will be available in build *200908010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fb752d78e631
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #169635 - hotfix for startup regression when embedded browser window is opened


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo